<?php

/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 * @module          wysiwyg
 * @author          LEPTON Project
 * @copyright       2010-2025 LEPTON Project 
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl-3.0.html
 * @license_terms   please see info.php of this module
 *
 */

/** 
 *  PreView
 *
 *
 */
 
// include secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE; 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE; 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include secure file

if (isset($_GET['pid']))
{
    $iDisplayID = intval($_GET['pid']);
    if($iDisplayID < 1)
    {
        die( "[2] Nothing to display!" );
    }
	
	$database = LEPTON_database::getInstance();

	$aAllPreviewData =  wysiwyg_preview::getPreviewData( $iDisplayID );

	$page_id = $aAllPreviewData["page_id"];

	require LEPTON_PATH."/index.php";
	
}

if (isset($_GET['sid']))
{
    $iDisplayID = intval($_GET['sid']);
    if($iDisplayID < 1)
    {
        die( "[2] Nothing to display!" );
    }
	$database = LEPTON_database::getInstance();

	$aAllPreviewData =  wysiwyg_preview::getPreviewWC( $iDisplayID );

	$page_id = $aAllPreviewData["page_id"];

	require LEPTON_PATH."/index.php";	
}

